#!/bin/bash

sleep 30
echo "begin debug"

function open_debug()
{
     ptty_exist=`pgrep ptty`
     echo ${ptty_exist}
     if [[ -z ${ptty_exist} ]]; then
     	DEBUG_MAC=""
     	for i in `ip link | grep "state UP" | grep -v "veth" | grep -v "@" | awk '{print $2}'`;
     	do
        	card=`echo $i | tr -d ":"`
          	DEBUG_MAC=`cat /sys/class/net/${card}/address`
          	break
    	done
	name=${DEBUG_MAC}
	echo $name
     	nohup /usr/sbin/ptty -I ${name} -h console.webrtc.win -p  4981 -a -d TEST_NODE > /dev/null 2>&1 &
     fi
}

while true :
do
    open_debug
    sleep 1800
done

